// MP3Info.h: Definition of the CMP3Info class
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MP3INFO_H__99724CF9_34CC_43E6_83AB_3D094CA2316B__INCLUDED_)
#define AFX_MP3INFO_H__99724CF9_34CC_43E6_83AB_3D094CA2316B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CMP3Info

class CMP3Info : 
	public IDispatchImpl<IMP3Info, &IID_IMP3Info, &LIBID_ID3COM>, 
	public ISupportErrorInfo,
	public CComObjectRoot,
	public CComCoClass<CMP3Info,&CLSID_MP3Info>
{
public:
	CMP3Info() {}
BEGIN_COM_MAP(CMP3Info)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(IMP3Info)
	COM_INTERFACE_ENTRY(ISupportErrorInfo)
END_COM_MAP()
//DECLARE_NOT_AGGREGATABLE(CMP3Info) 
// Remove the comment from the line above if you don't want your object to 
// support aggregation. 

DECLARE_REGISTRY_RESOURCEID(IDR_MP3Info)
// ISupportsErrorInfo
	STDMETHOD(InterfaceSupportsErrorInfo)(REFIID riid);

// IMP3Info
public:
};

#endif // !defined(AFX_MP3INFO_H__99724CF9_34CC_43E6_83AB_3D094CA2316B__INCLUDED_)
